<?php

/**
 * This file contains package_quiqqer_dashboard_ajax_backend_getCards
 */

/**
 * @return array
 */
QUI::$Ajax->registerFunction(
    'package_ecoyn_dashboard_ajax_backend_getCustomer',
    function ($time) {
        $customerId = QUI\ERP\Customer\Customers::getInstance()->getCustomerGroupId();
        $Customer = QUI::getGroups()->get($customerId);
        $PDO = QUI::getDataBase()->getPDO();
        $table = QUI::getDBTableName('users');

        $time = json_decode($time, true);

        $from = (int)$time['from'];
        $to = (int)$time['to'];

        $query = '
            SELECT COUNT(id) AS c
            FROM ' . $table . '
            WHERE regdate >= :from AND  regdate <= :to
            ';

        $Statement = $PDO->prepare($query);

        $Statement->bindParam(':from', $from, PDO::PARAM_INT);
        $Statement->bindParam(':to', $to, PDO::PARAM_INT);
        $Statement->execute();

        $data = $Statement->fetchAll();

        return [
            'total' => $Customer->countUser(),
            'customer' => (int)$data[0]['c']
        ];
    },
    ['time'],
    'Permission::checkAdminUser'
);
