<?php

/**
 * This file contains package_quiqqer_dashboard_ajax_backend_getCards
 */

/**
 * @return array
 */
QUI::$Ajax->registerFunction(
    'package_ecoyn_dashboard_ajax_backend_getOrders',
    function ($time) {
        $PDO = QUI::getDataBase()->getPDO();
        $table = QUI::getDBTableName('orders');
        $time = json_decode($time, true);

        $from = (int)$time['from'];
        $to = (int)$time['to'];

        $from = date('Y-m-d H:i:s', $from);
        $to = date('Y-m-d H:i:s', $to);

        $query = '
            SELECT COUNT(id) AS c
            FROM ' . $table . ' 
            WHERE c_date >= :from AND  c_date <= :to
            ';

        $Statement = $PDO->prepare($query);

        $Statement->bindParam(':from', $from);
        $Statement->bindParam(':to', $to);
        $Statement->execute();

        $data = $Statement->fetchAll();

        return (int)$data[0]['c'];
    },
    ['time'],
    'Permission::checkAdminUser'
);
