<?php

/**
 * This file contains package_quiqqer_dashboard_ajax_backend_getCards
 */

use QUI\ERP\Order\Handler as OrderHandler;

/**
 * @return array
 */

QUI::$Ajax->registerFunction(
    'package_ecoyn_dashboard_ajax_backend_getTotalSales',
    function ($time) {
        $PDO = QUI::getDataBase()->getPDO();
        $table = QUI::getDBTableName('orders');
        $time = json_decode($time, true);

        $from = (int)$time['from'];
        $to = (int)$time['to'];

        $from = date('Y-m-d H:i:s', $from);
        $to = date('Y-m-d H:i:s', $to);

        $query = 'SELECT `id`
            FROM ' . $table . ' 
            WHERE c_date >= :from AND  c_date <= :to
            ';

        $Statement = $PDO->prepare($query);

        $Statement->bindParam(':from', $from);
        $Statement->bindParam(':to', $to);
        $Statement->execute();

        $data = $Statement->fetchAll(PDO::FETCH_ASSOC);
        $Orders = OrderHandler::getInstance();
        $Locale = QUI::getLocale();
        $Currency = QUI\ERP\Defaults::getCurrency();

        $currencySum = [];
        $currencySum[$Currency->getCode()] = 0;

        foreach ($data as $row) {
            $Order = $Orders->get($row['id']);
            $currency = $Order->getCurrency()->getCode();

            if (!isset($currencySum[$currency])) {
                $currencySum[$currency] = 0;
            }

            $PriceCalculation = $Order->getPriceCalculation();
            $netSum = $PriceCalculation->getNettoSum()->get();

            $currencySum[$currency] = $currencySum[$currency] + $netSum;
        }

        return $Currency->format($currencySum[$Currency->getCode()], $Locale);
    },
    ['time'],
    'Permission::checkAdminUser'
);
