/**
 * @module package/ecoyn/dashboard/bin/backend/controls/cards/NewCustomer
 * @author www.pcsg.de (Serpil Ülker)
 */
define('package/ecoyn/dashboard/bin/backend/controls/cards/NewCustomer', [

    'package/quiqqer/dashboard/bin/backend/controls/Card',
    'package/ecoyn/dashboard/bin/backend/utils/Utils',
    'Ajax',
    'Locale',

], function (QUICard, Utils, QUIAjax, QUILocale) {
    "use strict";

    return new Class({

        Extends: QUICard,
        Type   : 'package/ecoyn/dashboard/bin/backend/controls/cards/NewCustomer',

        Binds: [
            '$onCreate'
        ],

        initialize: function (options) {
            this.parent(options);

            this.setAttributes({
                content : '',
                priority: 85

            });

            this.addEvents({
                onCreate: this.$onCreate
            });
        },

        refresh: function () {
            const self = this;

            if (!Utils.getTime()) {
                return Promise.resolve();
            }

            return new Promise((resolve, reject) => {
                QUIAjax.get('package_ecoyn_dashboard_ajax_backend_getNewCustomer', function (result) {
                    self.$Content.classList.add('text-center');
                    let html =
                            '<div class="row align-items-center">' +
                            '   <div class="h1 m-0">' +
                            '        ' + result.newCustomer +
                            '   </div>' +
                            '   <div class="text-muted">' +
                            '       ' + QUILocale.get('ecoyn/dashboard', 'dashboard.stats.new.customer') +
                            '   </div>' +
                            '</div>';

                    self.setContent(html);

                    resolve();
                }, {
                    'package': 'ecoyn/dashboard',
                    time     : JSON.encode(Utils.getTime()),
                    onError  : reject
                });
            });
        },

        $onCreate: function () {
            const self = this;

            // this.getElm().classList.add('card--clickable');
            this.getElm().classList.add('col-sg-3');
            this.getElm().classList.add('col-sm-3');

            Utils.getBoard().addEvent('onChange', function () {
                self.refresh();
            });
        }
    });
});
