<?php

namespace Ecoyn\Dashboard;

use QUI;
use QUI\Dashboard\DashboardProviderInterface;

/**
 * Class DashboardProvider
 *
 * @package dashboard\src\Ecoyn\Dashboard
 */
class DashboardProvider implements DashboardProviderInterface
{
    public function getTitle($Locale = null): string
    {
        if ($Locale === null) {
            $Locale = QUI::getLocale();
        }

        return $Locale->get('ecoyn/dashboard', 'dashboard.title');
    }

    /**
     * @return array
     */
    public static function getBoards(): array
    {
        return [
            new Dashboard()
        ];
    }

    /**
     * @return array
     */
    public static function getCards(): array
    {
        return [];
    }
}
